soap-0.2.3.6: SOAP client tools

Safe Haskell | None
Language | Haskell98

Network.SOAP.Transport

Description

This package comes with a single transport, but the your vendor's SOAP implementation can behave very differently, so invokeWS can be rigged to use anything that follows a simple interface.

Synopsis

- type Transport = String -> Document -> IO ByteString

# Documentation

type Transport Source #

Arguments

= String | SOAPAction header
-> Document | XML document with a SOAP request
-> IO ByteString |

Common transport type. Get a request and deliver it to an endpoint specified during initialization.